cURL
curl --request POST \ --url https://tables-api.softr.io/api/v1/databases/{databaseId}/tables \ --header 'Content-Type: application/json' \ --header 'Softr-Api-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "primaryFieldName": "<string>", "fields": [ { "name": "<string>", "type": "<string>", "options": {} } ] } '
{ "data": { "id": "<string>", "name": "<string>", "description": "<string>", "primaryFieldId": "<string>", "defaultViewId": "<string>", "fields": [ { "id": "<string>", "name": "<string>", "description": "<string>", "options": {}, "allowMultipleEntries": true, "readonly": true, "required": true, "locked": true, "defaultValue": "<string>", "aiOptions": { "aiFillable": true, "aiOnly": true, "allowWebSearch": true, "aiModel": "<string>", "prompt": "<string>", "canBeTriggeredManually": true, "runWhenRecordIsCreated": true, "runWhenRecordIsUpdated": true }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Create a new table in the specified database.
Documentation IndexFetch the complete documentation index at: https://docs.softr.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.softr.io/llms.txt
Use this file to discover all available pages before exploring further.
Show child attributes
The newly created table.
Was this page helpful?